- Resource: Export
- UserInfo
- ExportOptions
- MailExportOptions
- ExportFormat
- GroupsExportOptions
- DriveExportOptions
- HangoutsChatExportOptions
- VoiceExportOptions
- CalendarExportOptions
- GeminiExportOptions
- GeminiInWorkspaceExportOptions
- ExportRegion
- ExportStatus
- ExportStats
- CloudStorageSink
- CloudStorageFile
- Methods
Resource: Export
An export.
To work with Vault resources, the account must have the required Vault privileges and access to the matter. To access a matter, the account must have created the matter, have the matter shared with them, or have the View All Matters privilege.
| JSON representation |
|---|
{ "id": string, "matterId": string, "parentExportId": string, "name": string, "requester": { object ( |
| Fields | |
|---|---|
id |
Output only. The generated export ID. |
matterId |
Output only. The matter ID. |
parentExportId |
Output only. Identifies the parent export that spawned this child export. This is only set on child exports. |
name |
The export name. Don't use special characters (~!$'(),;@:/?) in the name, they can prevent you from downloading exports. |
requester |
Output only. The requester of the export. |
query |
The query parameters used to create the export. |
exportOptions |
Additional export options. |
createTime |
Output only. The time when the export was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
status |
Output only. The status of the export. |
stats |
Output only. Details about the export progress and size. |
| Export sink type. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
cloudStorageSink |
Output only. The sink for export files in Cloud Storage. |
| End of mutually exclusive fields. | |
UserInfo
User's information.
| JSON representation |
|---|
{ "email": string, "displayName": string } |
| Fields | |
|---|---|
email |
The email address of the user. |
displayName |
The displayed name of the user. |
ExportOptions
Additional options for exports
| JSON representation |
|---|
{ "region": enum ( |
| Fields | |
|---|---|
region |
The requested data region for the export. |
| Service-specific options for exports. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
mailOptions |
Options for Gmail exports. |
groupsOptions |
Options for Groups exports. |
driveOptions |
Options for Drive exports. |
hangoutsChatOptions |
Options for Chat exports. |
voiceOptions |
Options for Voice exports. |
calendarOptions |
Option available for Calendar export. |
geminiOptions |
Option available for Gemini app export. |
geminiInWorkspaceOptions |
Option available for Gemini in Workspace export. |
| End of mutually exclusive fields. | |
MailExportOptions
Options for Gmail exports.
| JSON representation |
|---|
{
"exportFormat": enum ( |
| Fields | |
|---|---|
exportFormat |
The file format for exported messages. |
showConfidentialModeContent |
To export confidential mode content, set to true. |
useNewExport |
To use the new export system, set to true. |
exportLinkedDriveFiles |
Optional. To enable exporting linked Drive files, set to true. |
ExportFormat
Export format for messages
| Enums | |
|---|---|
EXPORT_FORMAT_UNSPECIFIED |
No export format specified. |
MBOX |
Export as MBOX. Only available for Gmail, Groups, Hangouts and Voice. |
PST |
Export as PST. Only available for Gmail, Groups, Hangouts, Voice and Calendar. |
ICS |
Export as ICS. Only available for Calendar. |
XML |
Export as XML. Only available for Gemini app. |
JSON |
Export as JSON. Only available for Gemini in Workspace. |
GroupsExportOptions
Options for Groups exports.
| JSON representation |
|---|
{
"exportFormat": enum ( |
| Fields | |
|---|---|
exportFormat |
The file format for exported messages. |
DriveExportOptions
Options for Drive exports.
| JSON representation |
|---|
{ "includeAccessInfo": boolean } |
| Fields | |
|---|---|
includeAccessInfo |
To include access level information for users with indirect access to files, set to true. |
HangoutsChatExportOptions
Options for Chat exports.
| JSON representation |
|---|
{
"exportFormat": enum ( |
| Fields | |
|---|---|
exportFormat |
The file format for exported messages. |
VoiceExportOptions
The options for Voice exports.
| JSON representation |
|---|
{
"exportFormat": enum ( |
| Fields | |
|---|---|
exportFormat |
The file format for exported text messages. |
CalendarExportOptions
The options for Calendar exports.
| JSON representation |
|---|
{
"exportFormat": enum ( |
| Fields | |
|---|---|
exportFormat |
The file format for exported text messages. |
GeminiExportOptions
The options for Gemini app exports.
| JSON representation |
|---|
{
"exportFormat": enum ( |
| Fields | |
|---|---|
exportFormat |
The file format for exported messages. |
GeminiInWorkspaceExportOptions
The options for Gemini in Workspace exports.
| JSON representation |
|---|
{
"exportFormat": enum ( |
| Fields | |
|---|---|
exportFormat |
The file format for exported messages. |
ExportRegion
The data region for the export.
| Enums | |
|---|---|
EXPORT_REGION_UNSPECIFIED |
The region is unspecified. Defaults to ANY. |
ANY |
Any region. |
US |
United States region. |
EUROPE |
Europe region. |
ExportStatus
The status of the export.
| Enums | |
|---|---|
EXPORT_STATUS_UNSPECIFIED |
The status is unspecified. |
COMPLETED |
The export completed. |
FAILED |
The export failed. |
IN_PROGRESS |
The export is in progress. |
ExportStats
Progress information for an export.
| JSON representation |
|---|
{ "exportedArtifactCount": string, "totalArtifactCount": string, "sizeInBytes": string } |
| Fields | |
|---|---|
exportedArtifactCount |
The number of messages or files already processed for export. |
totalArtifactCount |
The number of messages or files to be exported. |
sizeInBytes |
The size of export in bytes. |
CloudStorageSink
Export sink for Cloud Storage files.
| JSON representation |
|---|
{
"files": [
{
object ( |
| Fields | |
|---|---|
files[] |
Output only. The exported files in Cloud Storage. |
CloudStorageFile
The export file in Cloud Storage
| JSON representation |
|---|
{ "bucketName": string, "objectName": string, "size": string, "md5Hash": string } |
| Fields | |
|---|---|
bucketName |
The name of the Cloud Storage bucket for the export file. You can use this value in the Cloud Storage JSON API or XML API, but not to list the bucket contents. Instead, you can get individual export files by object name. |
objectName |
The name of the Cloud Storage object for the export file. You can use this value in the Cloud Storage JSON API or XML API. |
size |
The export file size. |
md5Hash |
The md5 hash of the file. |
Methods |
|
|---|---|
|
Creates an export. |
|
Deletes an export. |
|
Gets an export. |
|
Lists details about the exports in the specified matter. |